Subject: Ticket Assigned - Returns
From: Max <[email-masked]>
To: [email-masked]
Date: Mon, 04 Apr 2022 16:37:25 +0000

Hi Abdulqader Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns It has been almost 3 weeks now of waiting.. I have returned the items for the reasons of factory defect and delivered a wrong color of my choice. I have paid all these in a right manner but then have not received the quality items and service. Been waiting for the courier to pick up the returned items. It was again reported and scheduled but no one ever managed to contact me after I complained. How will I return these items??????? https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4125016